
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "anchor_ui/version"

Gem::Specification.new do |spec|
  spec.name          = "anchor_ui"
  spec.version       = AnchorUi::VERSION
  spec.authors       = ["Anchor Admin"]
  spec.email         = ["admin@anchorhealth.com"]

  spec.summary       = %q{UI Kit for internal apps.}
  spec.description   = %q{UI Kit based on open source projects to allow rapid prototypes of internal apps.}
  spec.homepage      = "https://github.com/anchoradmin/anchor_ui.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "Set to 'http://mygemserver.com'"
  #
  #   spec.metadata["homepage_uri"] = spec.homepage
  #   spec.metadata["source_code_uri"] = "https://github.com/anchoradmin/anchor_ui.git"
  #   spec.metadata["changelog_uri"] = "https://github.com/anchoradmin/anchor_ui.git"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  spec.add_dependency 'railties'

  spec.add_runtime_dependency 'autoprefixer-rails', '~> 6.0', '>= 6.0.3'
  spec.add_runtime_dependency 'bootstrap', '~> 4.0', '>= 4.0.0'
  spec.add_runtime_dependency 'font-awesome-sass', '~> 4.7', '>= 4.7.0'
  spec.add_runtime_dependency 'jquery-rails', '~> 4.3', '>= 4.3.1'
  spec.add_runtime_dependency 'sass', '~> 3.5', '>= 3.5.2'
  spec.add_runtime_dependency 'coreui-rails', '~> 1.1'
end
